|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QHelpSearchQueryWidget Class Reference
[QtHelp module]

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask. More...

     #include <QHelpSearchQueryWidget>

Inherits QWidget.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Public Functions

- QHelpSearchQueryWidget ( QWidget * parent = 0 )
- ~QHelpSearchQueryWidget ()
- QList<QHelpSearchQuery> query () const

- 206 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 14 public functions inherited from QPaintDevice

### Signals

- void search ()

- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 1 static public member inherited from QPaintDevice
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask.

## Member Function Documentation

### QHelpSearchQueryWidget::QHelpSearchQueryWidget ( QWidget * parent = 0 )

Constructs a new search query widget with the given parent.

### QHelpSearchQueryWidget::~QHelpSearchQueryWidget ()

Destroys the search query widget.

### QList<QHelpSearchQuery> QHelpSearchQueryWidget::query () const

Returns a list of querys to use in combination with the search engines search(QList<QHelpSearchQuery> &query) function.

### void QHelpSearchQueryWidget::search () `[signal]`

This signal is emitted when a the user has the search button invoked. After reciving the signal you can ask the QHelpSearchQueryWidget for the build list of QHelpSearchQuery's that you may pass to the QHelpSearchEngine's search() function.